## jenkins-job-builder 3.8.0

=== debian/changelog ===
jenkins-job-builder (3.8.0-1) unstable; urgency=medium

  * New upstream version 3.8.0.
  * Add missing Test-Dependency on python3-mock.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 19 Jan 2021 23:49:09 +0100

jenkins-job-builder (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0.
  * Drop patch applied upstream.
  * Run the whole testsuite again, now that it passes.
  * Update d/copyright.
  * Bump debhelper compat level to 13.
    + Drop override_dh_missing, now default.
  * Bump Standards-version to 4.5.1, no changes needed.
  * Add an autopkgtest.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 19 Jan 2021 06:57:39 +0100

=== debian/control ===
Source: jenkins-job-builder
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Mattia Rizzolo <mattia@debian.org>,
 Paul Belanger <paul.belanger@polybeacon.com>,
Build-Depends:
 debhelper (>= 12.8~),
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 python3-fasteners,
 python3-fixtures <!nocheck>,
 python3-jenkins (>= 0.4.15),
 python3-jinja2,
 python3-mock <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinxcontrib.programoutput <!nodoc>,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 python3-yaml,
 subunit <!nocheck>,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://ci.openstack.org/jenkins-job-builder
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/jenkins-job-builder
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/jenkins-job-builder.git

Package: jenkins-job-builder
Architecture: all
Section: misc
Depends:
 python3-jenkins-job-builder (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-jenkins-job-builder (<< 2.0.3-3~),
Replaces:
 python3-jenkins-job-builder (<< 2.0.3-3~),
Description: Configure Jenkins using YAML files - metapackage
 Jenkins Job Builder takes simple descriptions of Jenkins jobs in YAML format
 and uses them to configure Jenkins. You can keep your job descriptions in
 human readable text format in a version control system to make changes and
 auditing easier. It also has a flexible template system, so creating many
 similarly configured jobs is easy.
 .
 Metapackage to install the Python 2 or 3 version of jenkins-job-builder.

Package: jenkins-job-builder-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Configure Jenkins using YAML files - doc
 Jenkins Job Builder takes simple descriptions of Jenkins jobs in YAML format
 and uses them to configure Jenkins. You can keep your job descriptions in
 human readable text format in a version control system to make changes and
 auditing easier. It also has a flexible template system, so creating many
 similarly configured jobs is easy.
 .
 This package contains the documentation.

Package: python3-jenkins-job-builder
Architecture: all
Depends:
 python3-fasteners,
 python3-jenkins (>= 0.4.15),
 python3-jinja2,
 python3-pbr,
 python3-pkg-resources,
 python3-six,
 python3-stevedore,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: Configure Jenkins using YAML files - Python 3.x
 Jenkins Job Builder takes simple descriptions of Jenkins jobs in YAML format
 and uses them to configure Jenkins. You can keep your job descriptions in
 human readable text format in a version control system to make changes and
 auditing easier. It also has a flexible template system, so creating many
 similarly configured jobs is easy.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack-infra/jenkins-job-builder.git
-include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

PYBUILD_NAME = jenkins-job-builder
PYBUILD_TEST_ARGS = PYTHON={interpreter} stestr run
PYBUILD_AFTER_TEST = rm -rfv .stestr/
export PYBUILD_NAME PYBUILD_TEST_ARGS PYBUILD_AFTER_TEST


%:
	dh $@ --buildsystem pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom dh_auto_test

execute_after_dh_auto_install:
	mkdir -p debian/jenkins-job-builder/usr/
	mv -v debian/python3-jenkins-job-builder/usr/bin debian/jenkins-job-builder/usr/

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) PATH=$(PATH):$(CURDIR)/debian/jenkins-job-builder/usr/bin/ PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source debian/jenkins-job-builder-doc/usr/share/doc/jenkins-job-builder-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) PATH=$(PATH):$(CURDIR)/debian/jenkins-job-builder/usr/bin/ PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
	dh_installman
endif

=== debian/tests/control ===
Test-Command: set -eu ; cp -r tests .stestr.conf setup.cfg "$AUTOPKGTEST_TMP/" ; cd "$AUTOPKGTEST_TMP" ; for py in $(py3versions -s); do echo "Testing with $py:" ; PYTHON="$py" stestr run ; done
Depends:
 python3-all,
 python3-jenkins-job-builder,
 python3-mock,
 python3-stestr,
 python3-stevedore,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,

## jenkins-job-builder 3.10.0

=== debian/changelog ===
jenkins-job-builder (3.10.0-1) unstable; urgency=medium

  * d/rules & d/copyright: upstream URLs to the new home
    https://opendev.org/jjb/jenkins-job-builder
  * Make openstack-pkg-tools mandatory.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Aug 2021 16:33:31 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  python3-all,
  python3-pbr,
  python3-setuptools,
+ openstack-pkg-tools,
 Build-Depends-Indep:
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,

## jenkins-job-builder 3.11.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
six>=1.9.0 # MIT
PyYAML>=3.10.0,<6 # MIT
pbr>=1.8 # Apache-2.0
stevedore>=1.17.1,<2; python_version < '3.0'  # Apache-2.0
stevedore>=1.17.1; python_version >= '3.0'  # Apache-2.0
python-jenkins>=0.4.15
fasteners
Jinja2

=== debian/changelog ===
jenkins-job-builder (3.11.0-6) unstable; urgency=medium

  * Blacklist non-deterministic unit tests (Closes: #1029042):
    - test_use_global_config
    - test_use_config_in_user_home
    - test_plugin_version_comparison

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 Mar 2023 10:19:49 +0200

jenkins-job-builder (3.11.0-5) unstable; urgency=medium

  * Add fix-build-with-setuptools-66.patch (Closes: #1030261).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Feb 2023 09:45:45 +0100

jenkins-job-builder (3.11.0-4) unstable; urgency=medium

  * fix-requirements.txt-to-accept-any-yaml.patch (Closes: #1026707).

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Jan 2023 13:55:25 +0100

jenkins-job-builder (3.11.0-3) unstable; urgency=medium

  [ Christoph Berg ]
  * Revert requirements.txt fix, dh-python got fixed.

  [ Thomas Goirand ]
  * autopkgtest: blacklist test_use_config_in_user_home().

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 19:12:51 +0200

jenkins-job-builder (3.11.0-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with sphinx 4.3: Changed get_doc() signature.
  * Remove requirements.txt entry that makes dh_python choke.
  * debian/tests/control: Don't barf on deprecation notices emitted by tests.
    (Closes: #1001719)

 -- Christoph Berg <myon@debian.org>  Fri, 17 Dec 2021 14:04:59 +0100

jenkins-job-builder (3.11.0-1) unstable; urgency=medium

  * New upstream version 3.11.10.
  * Refresh patch.
  * Update watchfile so it can match versions with more than one digit.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Drop duplicated debhelper build-depends.
  * Override lintian's orig-tarball-missing-upstream-signature, as that's
    against the team's policy.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 30 Oct 2021 15:59:47 +0200

jenkins-job-builder (3.10.0-2) unstable; urgency=medium

  * Add sphinx-4.2-compat.patch (Closes: #997433).

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Oct 2021 11:27:58 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  Mattia Rizzolo <mattia@debian.org>,
  Paul Belanger <paul.belanger@polybeacon.com>,
 Build-Depends:
- debhelper (>= 12.8~),
  debhelper-compat (= 13),
  dh-python,
  python3-all,
@@ -30,7 +29,7 @@
  python3-testtools <!nocheck>,
  python3-yaml,
  subunit <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://ci.openstack.org/jenkins-job-builder
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/jenkins-job-builder

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,14 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/openstack-infra/jenkins-job-builder.git
--include /usr/share/openstack-pkg-tools/pkgos.make
+UPSTREAM_GIT := https://opendev.org/jjb/jenkins-job-builder
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
 BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 PYBUILD_NAME = jenkins-job-builder
-PYBUILD_TEST_ARGS = PYTHON={interpreter} stestr run
+PYBUILD_TEST_ARGS = PYTHON={interpreter} stestr run --subunit 'tests\.(?!cmd\.test_config\.TestConfigs\.test_use_global_config|cmd\.test_config\.TestConfigs\.test_use_config_in_user_home|moduleregistry\.test_moduleregistry\.ModuleRegistryPluginInfoTestsWithScenarios\.test_plugin_version_comparison)'
 PYBUILD_AFTER_TEST = rm -rfv .stestr/
 export PYBUILD_NAME PYBUILD_TEST_ARGS PYBUILD_AFTER_TEST

=== debian/tests/control ===
Test-Command: set -eu ; cp -r tests .stestr.conf setup.cfg "$AUTOPKGTEST_TMP/" ; cd "$AUTOPKGTEST_TMP" ; for py in $(py3versions -s); do echo "Testing with $py:" ; PYTHON="$py" stestr run 'tests\.(?!(cmd\.test_config\.TestConfigs\.test_use_config_in_user_home|test_config\.TestConfigs\.test_use_global_config|moduleregistry\.test_moduleregistry\.ModuleRegistryPluginInfoTestsWithScenarios\.test_plugin_version_comparison))' ; done
Depends:
 python3-all,
 python3-jenkins-job-builder,
 python3-mock,
 python3-stestr,
 python3-stevedore,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://tarballs.openstack.org/@PACKAGE@ \
    @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## jenkins-job-builder 6.4.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
six>=1.9.0 # MIT
PyYAML>=3.13 # MIT
pbr>=1.8 # Apache-2.0
stevedore>=1.17.1,<2; python_version < '3.0'  # Apache-2.0
stevedore>=1.17.1; python_version >= '3.0'  # Apache-2.0
python-jenkins>=1.8.2
fasteners
Jinja2
packaging
setuptools

=== debian/changelog ===
jenkins-job-builder (6.4.2-4) unstable; urgency=medium

   [ Michael R. Crusoe ]
   * Set the correct module name to import. Fixes running `autodep8-python3` on
     this Debian package as the Python module name does not match the Python
     package name (Closes: #1117033).
   * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of nproc to respect Debian
     Policy 4.9.1. (Closes: #1109968).

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Oct 2025 12:18:56 +0100

jenkins-job-builder (6.4.2-3) unstable; urgency=medium

  * Drop remaining -O--buildsystem=python_distutils (Closes: #1098777).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2025 17:05:24 +0100

jenkins-job-builder (6.4.2-2) unstable; urgency=medium

  * Do not depends on python3-pkg-resources (Closes: #1083442).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 15:07:00 +0100

jenkins-job-builder (6.4.2-1) unstable; urgency=medium

  * Fixed homepage.
  * New upstream release.
    - Fixes FTBFS (Closes: #1090238).
  * (Build-)depends on python3-jenkins 1.8.2.
  * Switch to pytest as upstream did.
  * Drop all patches.
  * Run tests by myself.
  * Remove autopkgtest that must be rewritten (TODO).

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Dec 2024 09:07:33 +0100

jenkins-job-builder (3.11.0-7) unstable; urgency=medium

  * Add fix-_pseudo_parse_arglist-import-under-py3.12.patch (Closes: #1073383).
  * Pipe tests to subunit.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Jul 2024 03:47:05 +0200

=== debian/control ===
--- 
+++ 
@@ -17,21 +17,20 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  python3-fasteners,
- python3-fixtures <!nocheck>,
- python3-jenkins (>= 0.4.15),
+ python3-jenkins (>= 1.8.2),
  python3-jinja2,
- python3-mock <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-mock <!nocheck>,
+ python3-pytest-xdist <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinxcontrib.programoutput <!nodoc>,
- python3-stestr <!nocheck>,
  python3-stevedore,
- python3-testscenarios <!nocheck>,
  python3-testtools <!nocheck>,
  python3-yaml,
  subunit <!nocheck>,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: http://ci.openstack.org/jenkins-job-builder
+Homepage: https://opendev.org/jjb/jenkins-job-builder
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/jenkins-job-builder
 Vcs-Git: https://salsa.debian.org/openstack-team/third-party/jenkins-job-builder.git
 
@@ -42,10 +41,6 @@
  python3-jenkins-job-builder (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
-Breaks:
- python3-jenkins-job-builder (<< 2.0.3-3~),
-Replaces:
- python3-jenkins-job-builder (<< 2.0.3-3~),
 Description: Configure Jenkins using YAML files - metapackage
  Jenkins Job Builder takes simple descriptions of Jenkins jobs in YAML format
  and uses them to configure Jenkins. You can keep your job descriptions in
@@ -75,10 +70,9 @@
 Architecture: all
 Depends:
  python3-fasteners,
- python3-jenkins (>= 0.4.15),
+ python3-jenkins (>= 1.8.2),
  python3-jinja2,
  python3-pbr,
- python3-pkg-resources,
  python3-six,
  python3-stevedore,
  python3-yaml,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/jjb/jenkins-job-builder
include /usr/share/openstack-pkg-tools/pkgos.make
include /usr/share/dpkg/buildopts.mk

PYBUILD_NAME = jenkins-job-builder

%:
	dh $@ --buildsystem pybuild

override_dh_auto_test:
	echo "Nothing."

override_dh_auto_install:
	python3 setup.py install --install-layout=deb --root `pwd`/debian/tmp
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for i in `py3versions -rv 2>/dev/null` ; do \
		PYTHONPATH=`pwd`/debian/tmp/usr/lib/python3/dist-packages python$$i -m pytest -v $(DEB_BUILD_OPTION_PARALLEL:%=-n %) tests ; \
	done
endif

execute_after_dh_install:
	mkdir -p debian/jenkins-job-builder/usr/
	mv -v debian/python3-jenkins-job-builder/usr/bin debian/jenkins-job-builder/usr/

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) PATH=$(PATH):$(CURDIR)/debian/jenkins-job-builder/usr/bin/ PYTHON=python3 python3 -m sphinx -b html doc/source debian/jenkins-job-builder-doc/usr/share/doc/jenkins-job-builder-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) PATH=$(PATH):$(CURDIR)/debian/jenkins-job-builder/usr/bin/ PYTHON=python3 python3 -m sphinx -b man doc/source doc/build/man
	dh_installman
endif
